Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 20 Jun 2015 17:28:30 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r284647 - user/pho/stress2/misc
Message-ID:  <201506201728.t5KHSUDb061348@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Sat Jun 20 17:28:30 2015
New Revision: 284647
URL: https://svnweb.freebsd.org/changeset/base/284647

Log:
  Added a regression test.
  
  Sponsored by:	 EMC / Isilon storage division

Added:
  user/pho/stress2/misc/tmpfs15.sh   (contents, props changed)

Added: user/pho/stress2/misc/tmpfs15.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/tmpfs15.sh	Sat Jun 20 17:28:30 2015	(r284647)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2015 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+# "panic: Assertion de->td_cookie == de->td_hash failed at
+#    /usr/src/sys/modules/tmpfs/../../fs/tmpfs/tmpfs_subr.c:964" seen.
+# https://people.freebsd.org/~pho/stress/log/tmpfs15.txt
+# Fixed by 284594.
+
+# Test scenario by kib@
+
+. ../default.cfg
+
+mount -t tmpfs none $mntpoint
+mkdir $mntpoint/1 $mntpoint/2
+cd $mntpoint/1
+mkdir p5-Mojo-Pg-2.06
+mkdir advancemenu-2.7_2
+mv p5-Mojo-Pg-2.06 ../2
+
+cd /
+umount $mntpoint



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201506201728.t5KHSUDb061348>